% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{sigoraExamples}
\alias{sigoraExamples}
\title{Sigora enrichment example}
\format{
A data frame (tibble) with 66 rows and 12 columns
\describe{
\item{comparison}{Comparison from which results are derived; names of the
input list}
\item{direction}{Was the pathway enriched in up or down regulated genes}
\item{pathwayId}{Reactome pathway identifier}
\item{pathwayName}{Description of the pathway}
\item{pValue}{Nominal p value for the enrichment}
\item{pValueAdjusted}{p value adjusted for multiple testing}
\item{genes}{Genes in the pathway/input}
\item{numCandidateGenes}{Analyzed genes found in the pathway of interest}
\item{numBgGenes}{All genes from the pathway database}
\item{geneRatio}{Quotient of the number of candidate and background genes}
\item{totalGenes}{Total number of input genes}
\item{topLevelPathway}{Pathway category}
}
}
\source{
Please refer to the Sigora package for more details on that method:
\url{https://cran.r-project.org/package=sigora}
}
\usage{
data(sigoraExamples)
}
\value{
An object of class "tbl", "tbl.df", "data.frame"
}
\description{
Example Sigora output from running \code{pathwayEnrichment()} on
"exampleDESeqResults"
}
\keyword{datasets}
